Subject: bug#13303: 24.2.91; gdb under emacs broken for break commands

From: Eli Zaretskii <[email-masked]>
Date: Sat, 29 Dec 2012 20:56:54 +0200

> From: Stephen Leake <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 29 Dec 2012 13:40:02 -0500
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > It's XP SP3.  Do you mean you don't get "(gdb)" after typing "end" on
> > Windows as well?
> 
> Correct.

Is that with native Emacs and GDB, or with Cygwin builds thereof?

> > Perhaps turn on gdb-enable-debug, and see what you get in the
> > gdb-debug-log variable.
> 
> That shows the failure:
> 
> gdb-debug-log
> ((recv . "~\">\"
> ") (mi-send . #("-interpreter-exec console \"end\"
> " 27 30 (fontified t))) (recv . "~\">\"
> ") (mi-send . #("-interpreter-exec console \"p argc\"
> " 27 33 (fontified t))) (recv . "~\">\"
> ") (mi-send . #("-interpreter-exec console \"command 1\"
> " 27 36 (fontified t))) (recv . "16^error,msg=\"No registers.\"
> (gdb) 
> 17^done,threads=[]
> (gdb) 

What can I say? it's strange.  I even tried with GDB 7.4.1 on Windows
(don't have it on GNU/Linux), and after "set interactive-mode off",
"end" ends the breakpoint commands and gets me back to the GDB prompt.

> > But I still would like to find out why it doesn't work for you with
> > -i=mi?
> 
> I'd like to know as well; I assume support for --fullname/--annotate=3
> will go away at some point.

Maybe someone else could chime in and suggest ideas.

> Is there another (non-emacs) front-end that uses gdb -i=mi that I can
> try, to see if it works there? 

http://sourceware.org/gdb/wiki/GDB%20Front%20Ends lists a few.